AUBIOTRACK(1)

NAME
aubiotrack - a command line tool to extract musical beats from audio signals

SYNOPSIS

aubiotrack source
aubiotrack [[-i] source] [-o sink]
           [-r rate] [-B win] [-H hop]
           [-T time-format]
           [-s sil] [-m]
           [-j] [-N miditap-note] [-V miditap-velo]
           [-v] [-h]

DESCRIPTION

aubiotrack attempts to detect beats, the time where one would intuitively be tapping his foot.

When started with an input source (-i/--input), the detected beats are given on the console, in seconds.

When started without an input source, or with the jack option (-j/--jack), aubiotrack starts in jack mode.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (--). A summary of options is included below.

-i, --input source
    Run analysis on this audio file. Most uncompressed and compressed are supported, depending on how aubio was built.

-o, --output sink
    Save results in this file. The file will be created on the model of the input file. Beats are marked by a short wood-block like sound.

-r, --samplerate rate
    Fetch the input source, resampled at the given sampling rate. The rate should be specified in Hertz as an integer. If 0, the sampling rate of the original source will be used. Defaults to 0.

-B, --bufsize win
    The size of the buffer to analyze, that is the length of the window used for spectral and temporal computations. Defaults to 512.

-H, --hopsize hop
    The number of samples between two consecutive analysis. Defaults to 256.

-s, --silence sil
    Set the silence threshold, in dB, under which the pitch will not be detected. A value of -20.0 would eliminate most onsets but the loudest ones. A value of -90.0 would select all onsets. Defaults to -90.0.

-m, --mix-input
    Mix source signal to the output signal before writing to sink.

-f, --force-overwrite
    Overwrite output file if it already exists.

-j, --jack
    Use Jack input/output. You will need a Jack connection controller to feed aubio some signal and listen to its output.

-N, --miditap-note
    Override note value for MIDI tap. Defaults to 69.

-V, --miditap-velop
    Override velocity value for MIDI tap. Defaults to 65.

-T, --timeformat format
    Set time format (samples, ms, seconds). Defaults to seconds.

-h, --help
    Print a short help message and exit.

-v, --verbose
    Be verbose.

BEAT TRACKING METHODS

Aubio currently implements one the causal beat tracking algorithm designed by Matthew Davies and described in the following articles:

Matthew E. P. Davies and Mark D. Plumbley. Causal tempo tracking of audio. In Proceedings of the International Symposium on Music Information Retrieval (ISMIR), pages 164­169, Barcelona, Spain, 2004.

Matthew E. P. Davies, Paul Brossier, and Mark D. Plumbley. Beat tracking towards automatic musical accompaniment. In Proceedings of the Audio Engineering Society 118th Convention, Barcelona, Spain, May 2005.

SEE ALSO

aubioonset(1), aubiopitch(1), aubionotes(1), aubioquiet(1), aubiomfcc(1), and aubiocut(1).

AUTHOR

This manual page was written by Paul Brossier <piem@aubio.org>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.